using System;
using System.Runtime.Serialization;

namespace VCommon
{
    [Serializable]
    public class VCommonException : Exception
    {
        public VCommonException()
        {
        }

        public VCommonException(string message) : base(message)
        {
        }

        public VCommonException(string message, Exception inner) : base(message, inner)
        {
        }

        protected VCommonException(
            SerializationInfo info,
            StreamingContext context) : base(info, context)
        {
        }
    }
}